Bug 1438074 - SUI : Any action on catalog changes the view from List to Grid
Summary: SUI : Any action on catalog changes the view from List to Grid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1438025
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 19:51 UTC by Satoe Imaishi
Modified: 2017-05-31 14:45 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438025
Environment:
Last Closed: 2017-05-31 14:45:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-03-31 21:07:55 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/19379daea28d8e39848d0bb74532eb3998551fd7

commit 19379daea28d8e39848d0bb74532eb3998551fd7
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Fri Mar 31 14:21:36 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 31 17:03:45 2017 -0400

    Merge pull request #623 from AllenBW/bz/1438025-persist-view-state
    
    BZ#1438025-Persist catalog view state
    (cherry picked from commit 11c86a777589b5e705613300ec7b0910d9e75eda)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438074

 client/app/catalogs/catalog-explorer.component.js |  7 +++----
 client/app/catalogs/catalogs-state.service.js     | 11 +++++++++++
 2 files changed, 14 insertions(+), 4 deletions(-)

Comment 3 Shveta 2017-04-17 20:40:12 UTC
Fixed in 5.8.0.10-beta1-nightly.20170414034628_b979a0b

Comment 5 errata-xmlrpc 2017-05-31 14:45:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.